Expensicat
API Reference

Projects

GET
/v1/projects

List projects with search and pagination

Authorization

bearerAuth
AuthorizationBearer <token>

Session JWT or OAuth2 access token

In: header

Query Parameters

cursor?string

Pagination cursor

limit?integer

Number of items per page (1-100)

q?string

Search by name

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects"
{
  "data": [
    {
      "id": "string",
      "organization_id": "string",
      "name": "string",
      "customer_id": "string",
      "hourly_rate": "string",
      "currency": "string",
      "active": true,
      "created_at": "string",
      "updated_at": "string",
      "customer": {
        "id": "string",
        "name": "string",
        "email": "string"
      }
    }
  ],
  "meta": {
    "count": 0,
    "next_cursor": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
POST
/v1/projects

Create a new project

Authorization

bearerAuth
AuthorizationBearer <token>

Session JWT or OAuth2 access token

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "data": {
    "id": "string",
    "organization_id": "string",
    "name": "string",
    "customer_id": "string",
    "hourly_rate": "string",
    "currency": "string",
    "active": true,
    "created_at": "string",
    "updated_at": "string",
    "customer": {
      "id": "string",
      "name": "string",
      "email": "string"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
GET
/v1/projects/{id}

Get a single project by ID

Authorization

bearerAuth
AuthorizationBearer <token>

Session JWT or OAuth2 access token

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string"
{
  "data": {
    "id": "string",
    "organization_id": "string",
    "name": "string",
    "customer_id": "string",
    "hourly_rate": "string",
    "currency": "string",
    "active": true,
    "created_at": "string",
    "updated_at": "string",
    "customer": {
      "id": "string",
      "name": "string",
      "email": "string"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
PATCH
/v1/projects/{id}

Update project fields

Authorization

bearerAuth
AuthorizationBearer <token>

Session JWT or OAuth2 access token

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "string",
    "organization_id": "string",
    "name": "string",
    "customer_id": "string",
    "hourly_rate": "string",
    "currency": "string",
    "active": true,
    "created_at": "string",
    "updated_at": "string",
    "customer": {
      "id": "string",
      "name": "string",
      "email": "string"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
DELETE
/v1/projects/{id}

Delete a project by ID

Authorization

bearerAuth
AuthorizationBearer <token>

Session JWT or OAuth2 access token

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/string"
Empty
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}